%define		PYVER	2.6

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		rdiff-backup
Version:	1.2.8
Release:	2
BuildArch:	i686
License:	GNU/GPL
URL:		http://www.nongnu.org/rdiff-backup/
Group:		Archiving/Backup
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Convenient and transparent local/remote incremental mirror/backup.
Requires:	pylibacl
Requires:	pyxattr

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: librsync-devel
BuildRequires: python26-devel

%description
rdiff-backup is a script, written in Python, that backs up one
directory to another and is intended to be run periodically (nightly
from cron for instance). The target directory ends up a copy of the
source directory, but extra reverse diffs are stored in the target
directory, so you can still recover files lost some time ago. The idea
is to combine the best features of a mirror and an incremental
backup. rdiff-backup can also operate in a bandwidth efficient manner
over a pipe, like rsync. Thus you can use rdiff-backup and ssh to
securely back a hard drive up to a remote location, and only the
differences from the previous backup will be transmitted.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
/usr/bin/python%{PYVER} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
/usr/bin/python%{PYVER} setup.py install --root $RPM_BUILD_ROOT
# Produce .pyo files for %ghost directive later
/usr/bin/python%{PYVER} -Oc 'from compileall import *; compile_dir("'$RPM_BUILD_ROOT%_libdir/python%{PYVER}/site-packages/rdiff_backup'")'

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING FAQ.html examples.html README
%_bindir
%_mandir
%_libdir/python%{PYVER}/site-packages/rdiff_backup/*.py
%_libdir/python%{PYVER}/site-packages/rdiff_backup/*.pyc
%_libdir/python%{PYVER}/site-packages/rdiff_backup/*.so
%_libdir/python%{PYVER}/site-packages/*.egg-info
%ghost %_libdir/python%{PYVER}/site-packages/rdiff_backup/*.pyo

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 1.2.8-2
- python 2.6
* Mon May 11 2009 Christian Wasem <wasem@ccux-linux.de> 1.2.8-1
- Version update, build explicit with /usr/bin/python2.5
* Sun Sep 16 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.0.5-1
- Version update
* Tue Jan 31 2006 Christian Wasem <wasem@ccux-linux.de> 1.0.4-1
- Initial Release